Package org.opensaml.saml.ext.saml2mdattr

# Interface EntityAttributes

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `EntityAttributesImpl`

public interface EntityAttributes extends SAMLObject
SAML V2.0 Metadata Extension for Entity Attributes EntityAttributes SAML object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`List<Assertion>`
`getAssertions()`
Gets the assertions about the entity.
`List<Attribute>`
`getAttributes()`
Gets the attributes about the entity.
`List<SAMLObject>`
`getEntityAttributesChildren()`
Gets mutable list of the child objects of this extension.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getEntityAttributesChildren

@Nonnull @Live List<SAMLObject> getEntityAttributesChildren()
Gets mutable list of the child objects of this extension.

Returns:
  mutable list of children
Since:
  4.0.0

### getAttributes

@Nonnull @Live List<Attribute> getAttributes()
Gets the attributes about the entity.

This list is modifiable "to a point" but not all mutation operations are supported.

Returns:
  attributes about the entity

### getAssertions

@Nonnull @Live List<Assertion> getAssertions()
Gets the assertions about the entity.

This list is modifiable "to a point" but not all mutation operations are supported.

Returns:
  assertions about the entity